Observability
Load a retained log payload through a tenant and principal scoped locator.
Load a retained log payload through a tenant and principal scoped locator. The request is scoped to the authenticated RevoEngine instance and operation policy.
GET
/
api
/
v1
/
observability
/
logs
/
{logId}
Load a retained log payload through a tenant and principal scoped locator.
curl --request GET \
--url https://api.revoengine.com/api/v1/observability/logs/{logId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.revoengine.com/api/v1/observability/logs/{logId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.revoengine.com/api/v1/observability/logs/{logId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"logId": "<string>",
"args": {},
"meta": {
"snapshotAt": "<string>",
"from": "<string>",
"to": "<string>",
"source": "NORMALIZED",
"coverage": "COMPLETE",
"warnings": [
"<string>"
],
"bytesProcessed": 123,
"maximumBytesBilled": 123,
"investigationId": "<string>",
"projectionWatermark": "<string>"
}
}Last modified on October 5, 2026
⌘I
Load a retained log payload through a tenant and principal scoped locator.
curl --request GET \
--url https://api.revoengine.com/api/v1/observability/logs/{logId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.revoengine.com/api/v1/observability/logs/{logId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.revoengine.com/api/v1/observability/logs/{logId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"logId": "<string>",
"args": {},
"meta": {
"snapshotAt": "<string>",
"from": "<string>",
"to": "<string>",
"source": "NORMALIZED",
"coverage": "COMPLETE",
"warnings": [
"<string>"
],
"bytesProcessed": 123,
"maximumBytesBilled": 123,
"investigationId": "<string>",
"projectionWatermark": "<string>"
}
}
